RDKit::UFF::Tools Namespace Reference

## Enumerations

enum | { RELATION_1_2 = 0, RELATION_1_3 = 1, RELATION_1_4 = 2, RELATION_1_X = 3 }

## Functions

void | addAtomChargeFlags (const Atom *atom, std::string &atomKey, bool tolerateChargeMismatch=true)
std::string | getAtomLabel (const Atom *atom)
void | setTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos, boost::uint8_t value)
boost::uint8_t | getTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos)
boost::shared_array< boost::uint8_t > | buildNeighborMatrix (const ROMol &mol)
void | addBonds (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
void | addAngles (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
void | addNonbonded (const ROMol &mol, int confId, const AtomicParamVect &params, ForceFields::ForceField *field, boost::shared_array< boost::uint8_t > neighborMatrix, double vdwThresh=100.0, bool ignoreInterfragInteractions=true)
void | addTorsions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field, std::string torsionBondSmarts="[!$(*#*)&!D1]~[!$(*#*)&!D1]")
void | addInversions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
RELATION_1_2 |
RELATION_1_3 |
RELATION_1_4 |
RELATION_1_X |

Definition at line 74 of file UFF/Builder.h.

## Function Documentation

## addAngles()

void RDKit::UFF::Tools::addAngles | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field
| ) |  |

## addAtomChargeFlags()

void RDKit::UFF::Tools::addAtomChargeFlags | ( | const Atom * | atom,
|  | std::string & | atomKey,
|  | bool | tolerateChargeMismatch = `true`
| ) |  |

## addBonds()

void RDKit::UFF::Tools::addBonds | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field
| ) |  |

## addInversions()

void RDKit::UFF::Tools::addInversions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field
| ) |  |

## addNonbonded()

void RDKit::UFF::Tools::addNonbonded | ( | const ROMol & | mol,
|  | int | confId,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | boost::shared_array< boost::uint8_t > | neighborMatrix,
|  | double | vdwThresh = `100.0`,
|  | bool | ignoreInterfragInteractions = `true`
| ) |  |

## addTorsions()

void RDKit::UFF::Tools::addTorsions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | std::string | torsionBondSmarts = `"[!$(*#*)&!D1]~[!$(*#*)&!D1]"`
| ) |  |

## buildNeighborMatrix()

boost::shared_array<boost::uint8_t> RDKit::UFF::Tools::buildNeighborMatrix | ( | const ROMol & | mol | ) |

## getAtomLabel()

std::string RDKit::UFF::Tools::getAtomLabel | ( | const Atom * | atom | ) |

## getTwoBitCell()

boost::uint8_t RDKit::UFF::Tools::getTwoBitCell | ( | boost::shared_array< boost::uint8_t > & | res,
|  | unsigned int | pos
| ) |  |

## setTwoBitCell()

void RDKit::UFF::Tools::setTwoBitCell | ( | boost::shared_array< boost::uint8_t > & | res,
|  | unsigned int | pos,
|  | boost::uint8_t | value
| ) |  |